<html>

<head>
  <meta charset="utf-8" />
  <title>Inventaire atelier vélo</title>
  <style>
    body {
      font-family: 'Courier New', Courier, monospace;
    }

    table {
      border-collapse: collapse;
    }

    th,
    td {
      text-align: left;
      padding: 8px;
    }

    thead {
      background-color: #aaa;
    }
  </style>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdn.datatables.net/1.11.4/css/jquery.dataTables.min.css">
  <script src="https://cdn.datatables.net/1.11.4/js/jquery.dataTables.min.js"></script>

  <script>
    $(document).ready(function () {
      $('#ze-table').DataTable({
        paging: false,
        language: {
          url: "https://cdn.datatables.net/plug-ins/1.11.4/i18n/fr_fr.json",
        },
      });
    });
  </script>
</head>

<body>
  <table id="ze-table" class="display">
    <thead>
      <tr>
        <th>Pièce</th>
        <th>Variation</th>
        <th>SKU</th>
        {% if show_prices %}
        <th>Prix</th>
        {% endif %}
        <th>Quantité</th>
        {% if show_prices %}
        <th>Valeur</th>
        {% endif %}
      </tr>
    </thead>

    <tbody>
      {% for var in variations %}
      <tr>
        <td>{{ var.item_name }}</td>
        <td>{{ var.var_name }}</td>
        <td>{{ var.sku }}</td>
        {% if show_prices %}
        <td>{{ "{:.2f}$".format(var.price) }}</td>
        {% endif %}
        <td>{{ var.quantity }}</td>
        {% if show_prices %}
        <td>{{ "{:.2f}$".format((var.price) * var.quantity) }}</td>
        {% endif %}
      </tr>
      {% endfor %}
    </tbody>

  </table>

  {% if show_prices %}
  <p>Valeur total de l'inventaire: {{ "{:.2f}$".format(total_value / 100) }}</p>
  {% endif %}

</body>

</html>
